Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Class ProcessRuntimeImpl.RegisterStartTimerAction

    java.lang.Object
      org.jbpm.process.instance.ProcessRuntimeImpl.RegisterStartTimerAction

All Implemented Interfaces:
  Externalizable, Serializable, org.drools.core.common.WorkingMemoryAction

Enclosing class:
  ProcessRuntimeImpl

    public static class ProcessRuntimeImpl.RegisterStartTimerAction

extends Object
implements org.drools.core.common.WorkingMemoryAction

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.drools.core.common.WorkingMemoryAction
`DeactivateCallback, LogicalRetractCallback, PropagateAction, SignalAction, SignalProcessInstanceAction, WorkingMemoryBehahviourRetract, WorkingMemoryReteAssertAction, WorkingMemoryReteExpireAction`

Constructor Summary
`ProcessRuntimeImpl.RegisterStartTimerAction(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`ProcessRuntimeImpl.RegisterStartTimerAction(String processId, List<StartNode> startNodes, TimerManager timerManager)`

Method Summary
`protected TimerInstance` | `createTimerInstance(Timer timer, org.drools.core.common.InternalKnowledgeRuntime kruntime)`
`void` | `execute(org.drools.core.common.InternalKnowledgeRuntime kruntime)`
`void` | `execute(org.drools.core.common.InternalWorkingMemory workingMemory)`
`void` | `readExternal(ObjectInput in)`
`org.drools.core.marshalling.impl.ProtobufMessages.ActionQueue.Action` | `serialize(org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`void` | `write(org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessRuntimeImpl.RegisterStartTimerAction

    public ProcessRuntimeImpl.RegisterStartTimerAction(String processId,
                                                       List<StartNode> startNodes,
                                                       TimerManager timerManager)

### ProcessRuntimeImpl.RegisterStartTimerAction

    public ProcessRuntimeImpl.RegisterStartTimerAction(org.drools.core.marshalling.impl.MarshallerReaderContext context)

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### execute

    public void execute(org.drools.core.common.InternalWorkingMemory workingMemory)

  Specified by:
    `execute` in interface `org.drools.core.common.WorkingMemoryAction`

### execute

    public void execute(org.drools.core.common.InternalKnowledgeRuntime kruntime)

  Specified by:
    `execute` in interface `org.drools.core.common.WorkingMemoryAction`

### write

    public void write(org.drools.core.marshalling.impl.MarshallerWriteContext context)
               throws IOException

  Specified by:
    `write` in interface `org.drools.core.common.WorkingMemoryAction`
  Throws:
    `IOException`

### serialize

    public org.drools.core.marshalling.impl.ProtobufMessages.ActionQueue.Action serialize(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                                                                   throws IOException

  Specified by:
    `serialize` in interface `org.drools.core.common.WorkingMemoryAction`
  Throws:
    `IOException`

### createTimerInstance

    protected TimerInstance createTimerInstance(Timer timer,
                                                org.drools.core.common.InternalKnowledgeRuntime kruntime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.